Page({

    /**
     * 页面的初始数据
     */
    data: {
        goFaceDone  : false,
        bizToken    : '',
        redirectUrl : ''
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        this.setData({
            bizToken      : options.bizToken,
            redirectUrl   : decodeURIComponent(options.redirectUrl),
        }, this.goFaceAuth)
    },
    /**
     * 生命周期函数--页面再次显示
     */
    onShow(){
        const { goFaceDone, redirectUrl } = this.data
        if (!goFaceDone) return
        const options = wx.getEnterOptionsSync()
        if(options.scene === 1038 && options.referrerInfo.extraData && options.referrerInfo.extraData.faceResult){
            const pages = getCurrentPages()
            const pre = pages[pages.length - 2]
            if (pre.reloadPage && typeof pre.reloadPage === 'function') {
                pre.reloadPage(redirectUrl + `&timeStamp=${new Date().getTime()}`)
                wx.navigateBack({
                    delta: 1,
                })
            }
        }
    },
    /**
     * 打开E签报小程序
     */
    goFaceAuth(){
        wx.navigateToMiniProgram({
            appId: "wx1cf2708c2de46337",
            path : "/pages/face/index?bizToken=" + this.data.bizToken,
            success: () => {
                this.setData({
                    goFaceDone: true
                })
            }
        })
    }
})